<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerActionEnumType](./bitburner.bladeburneractionenumtype.md)

## BladeburnerActionEnumType type

Action types of Bladeburner

**Signature:**

```typescript
type BladeburnerActionEnumType = {
  General: "General";
  Contract: "Contracts";
  Operation: "Operations";
  BlackOp: "Black Operations";
};
```
